//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#pragma package(smart_init)

#include "CLogiciel.h"

//---------------------------------------------------------------------------
//              CONSTRUCTEUR
//---------------------------------------------------------------------------
__fastcall CLogiciel::CLogiciel(TStrings * cbLogiciel)
{
    try {
        m_cbLogiciel = cbLogiciel;
    }catch( Exception &e ) {
        EIC_DISPLAY_EXCEPTION(e);}
}
//---------------------------------------------------------------------------
//              AJOUTER LOGICIEL DANS LA COMBO
//---------------------------------------------------------------------------
void __fastcall CLogiciel::AjouterListe()
{
    TdmWebHelp * dmWebHelp = NULL;
    try{
        dmWebHelp = new TdmWebHelp((TComponent*)0);
        m_cbLogiciel->Clear();
        m_cbLogiciel->Add("<Tous>");

        TZZMySqlQuery * MaRequete = NULL;
        MaRequete = new TZZMySqlQuery( (TComponent*)0);
        MaRequete->Database = dmWebHelp->dbWebHelp;

        MaRequete->Sql->Text = "select log_nom, log_code from logiciels order by log_nom";
        MaRequete->Open();
        MaRequete->First();
        while(!MaRequete->Eof){
            m_cbLogiciel->AddObject(asRequete(0),(TObject*)nRequete(1) );
            MaRequete->Next();
        }
        MaRequete->Sql->Clear();
        MaRequete->Close();
        if(MaRequete) {delete MaRequete; MaRequete = NULL;}
    }catch( Exception &e ) {
        EIC_DISPLAY_EXCEPTION(e);}
    if(dmWebHelp) {delete dmWebHelp; dmWebHelp = NULL;}
}
//---------------------------------------------------------------------------
//              PARAMETRER LOGICIEL
//---------------------------------------------------------------------------
void __fastcall CLogiciel::Parametrer()
{
    TvAParamLogiciel * fParamLogiciel = NULL;
    try {
        fParamLogiciel = new TvAParamLogiciel(Application);
        fParamLogiciel->ShowModal();
        AjouterListe();
    }catch( Exception &e ) {
        EIC_DISPLAY_EXCEPTION(e);}
    if(fParamLogiciel) {delete fParamLogiciel; fParamLogiciel=NULL;}
}
//---------------------------------------------------------------------------
